Page 25 of 60 FirstFirst ... 15232425262735 ... LastLast
Results 241 to 250 of 598

Thread: GNOME3 Staging PPA

  1. #241
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,991
    Distro
    Ubuntu Development Release

    Re: GNOME3 Staging PPA

    Quote Originally Posted by jbicha View Post
    I believe you'll need to do a dist-upgrade.
    That's the prudent way to go, but I'm afraid to attempt it, a few hours before a Full Moon (Murphy's Law). LoL!

    Synaptic "Smart Upgrade" looks much 'smarter' today, than it did 12 hours ago! "Default Upgrade" is still a mess.

    Last night, Synaptic wanted to remove gnome et al (Smart & Default Upgrades alike).




    Right now, it just wants to remove 3 libs, with nothing to be held-back.

    Think I'll pull the trigger on that one first, and see what happens.
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  2. #242
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,991
    Distro
    Ubuntu Development Release

    Re: GNOME3 Staging PPA

    Synaptic "Smart Upgrade" put Humpty Dumpty back together again.

    Code:
    <SNIP>
    
    Fetched 13.7 MB in 1min 11s (191 kB/s)
    Reading package lists... Done
    vindsl@Zuul:~$ sudo apt-get upgrade
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    vindsl@Zuul:~$
    And, it survived a cold boot.

    When GDM appeared, ONBOARD was enabled. ONBOARD popped up again on the desktop -- so, I disabled it.

    The digital clock is back in the top panel -- need to go hack (get rid of) that again. Happens after every major upgrade(s).

    Dropbox asked for auth. Guess I'll need to go through that, in various apps, for a while.

    As "harry" said, desktop is opening outward, from a single point, in the middle of the display -- like a starburst effect from the '90s. LoL!

    I'll need to tron a bunch of extensions. Some of them disappeared, after the reboot. That was to be expected -- happens on every version upgrade.

    Other than those few things, it looks like everything is going to work.

    I'll putz around today, cleaning up the UI, and getting it back to where I had it set. No show stoppers that I can see, so far.

    Onward & upward!
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  3. #243
    Join Date
    Oct 2008
    Location
    ExodusHair<Čubura
    Beans
    4,512
    Distro
    Ubuntu Development Release

    Re: GNOME3 Staging PPA

    Been like this for days now:
    Code:
    Calculating upgrade... Done
    The following packages will be REMOVED:
      gir1.2-totem-1.0 libcogl11 libtotem0 totem totem-mozilla totem-plugins
    The following packages will be upgraded:
      gir1.2-clutter-1.0 libclutter-1.0-0
    2 upgraded, 0 newly installed, 6 to remove and 0 not upgraded.
    Need to get 709 kB of archives.
    After this operation, 4,110 kB disk space will be freed.
    Do you want to continue [Y/n]?
    ...
    Last edited by zika; February 26th, 2013 at 07:12 PM.
    Ignota nulla curatio morbi.

  4. #244
    Join Date
    Jul 2010
    Location
    Finland
    Beans
    2,455
    Distro
    Ubuntu

    Re: GNOME3 Staging PPA

    Quote Originally Posted by zika View Post
    Been like this for days now:
    Code:
    Calculating upgrade... Done
    The following packages will be REMOVED:
      gir1.2-totem-1.0 libcogl11 libtotem0 totem totem-mozilla totem-plugins
    The following packages will be upgraded:
      gir1.2-clutter-1.0 libclutter-1.0-0
    2 upgraded, 0 newly installed, 6 to remove and 0 not upgraded.
    Need to get 709 kB of archives.
    After this operation, 4,110 kB disk space will be freed.
    Do you want to continue [Y/n]?
    ...
    At least you could remove the libcogl11 package, Your setup is using libcogl12 now.
    Otherwise it seems that upgrading clutter-1.0 breaks totem.
    So where are they coming from?
    Is the clutter-1.0 from Gnome Testing PPA (v. 1.13.7+git...)
    and totem from Gnome3 Staging PPA (v. 3.6.3-0ubuntu3)?

  5. #245
    Join Date
    Nov 2007
    Location
    planet earth
    Beans
    Hidden!
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: GNOME3 Staging PPA

    Quote Originally Posted by VinDSL View Post
    Synaptic "Smart Upgrade" looks much 'smarter' today, than it did 12 hours ago! "Default Upgrade" is still a mess.

    Last night, Synaptic wanted to remove gnome et al (Smart & Default Upgrades alike).
    I am totally new to this "RingTailing" thing. I resisted leaving Lucid (and still am) but managed to find some space and gave a shot...
    I'm also confused about this Smart vs Default upgrade (in this edition). ..Wants to remove Gnome, I politely declined (for the next 24 hours LOL)
    Maybe wrong place to ask, what theme do you use and this monitor on the right...help me LOL. Is this from the ppa?

    It seems to me that what used to be hard is easy now days and what what was easy is hard (or harder)
    My Signature is under construction since I was born
    Fujitsu N6470 DualCore T83000 4MB L2 Cache 8GB RAM, ATI HD2600 2x internal HD 500GB
    ASUS G73jw-A1S Quad i7-740QM 6MB L3Cache 16GB RAM GF GTX460M 2x Internal HD 500GB @ 7200 RPM

  6. #246
    Join Date
    Oct 2008
    Location
    ExodusHair<Čubura
    Beans
    4,512
    Distro
    Ubuntu Development Release

    Re: GNOME3 Staging PPA

    Quote Originally Posted by Harry33 View Post
    At least you could remove the libcogl11 package, Your setup is using libcogl12 now.
    Otherwise it seems that upgrading clutter-1.0 breaks totem.
    So where are they coming from?
    Is the clutter-1.0 from Gnome Testing PPA (v. 1.13.7+git...)
    and totem from Gnome3 Staging PPA (v. 3.6.3-0ubuntu3)?
    I have a „policy“ not to purge (at least manually) packages that are still nn official Ubuntu list in order to be able to easily ppa-purge possible offending PPA...
    I'll check origin of these two packages... My bet iz ricotz...
    Ignota nulla curatio morbi.

  7. #247
    Join Date
    Jul 2010
    Location
    Finland
    Beans
    2,455
    Distro
    Ubuntu

    Re: GNOME3 Staging PPA

    Quote Originally Posted by zika View Post
    I have a „policy“ not to purge (at least manually) packages that are still nn official Ubuntu list in order to be able to easily ppa-purge possible offending PPA...
    I'll check origin of these two packages... My bet iz ricotz...
    If you have synaptic installed, you can see the real dependency issue from there.
    Mark clutter-1.0 to be upgraded and see what is says.

  8. #248
    Join Date
    Oct 2008
    Location
    ExodusHair<Čubura
    Beans
    4,512
    Distro
    Ubuntu Development Release

    Re: GNOME3 Staging PPA

    Quote Originally Posted by Harry33 View Post
    If you have synaptic installed, you can see the real dependency issue from there.
    Mark clutter-1.0 to be upgraded and see what is says.
    Of course I've investigated that. No GUI is needed:
    Code:
    The following packages will be upgraded: 
      gir1.2-clutter-1.0 libclutter-1.0-0{b} 
    2 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    Need to get 709 kB of archives. After unpacking 4,096 B will be used.
    The following packages have unmet dependencies:
     libclutter-1.0-0 : Breaks: libcogl11 but 1.12.2-0ubuntu1 is installed.
    The following actions will resolve these dependencies:
    
         Remove the following packages:              
    1)     gir1.2-totem-1.0                          
    2)     libcogl11                                 
    3)     libtotem0                                 
    4)     totem                                     
    5)     totem-mozilla                             
    6)     totem-plugins                             
    
         Leave the following dependencies unresolved:
    7)     ubuntu-desktop recommends totem           
    8)     ubuntu-desktop recommends totem-mozilla   
    
    
    Accept this solution? [Y/n/q/?] q
    Abandoning all efforts to resolve these dependencies.
    Abort.
    :~$ sudo apt-get purge libcogl11
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages will be REMOVED:
      gir1.2-totem-1.0* libcogl11* libtotem0* totem* totem-mozilla* totem-plugins*
    0 upgraded, 0 newly installed, 6 to remove and 2 not upgraded.
    After this operation, 4,114 kB disk space will be freed.
    Do you want to continue [Y/n]? n
    As I wrote above, it seems that ricotz left dependency of totem and others still on libcogl11...
    To emphasize: this is not a big deal, just annoyance when other packages need dist-upgrade... (like liquorix etc. ...)
    New Totem is just being cooked for amd_64 as I write this in ppa:ricotz/staging so...
    Update₁: Resolved... Thank You Ricotz...
    Last edited by zika; February 27th, 2013 at 10:18 AM.
    Ignota nulla curatio morbi.

  9. #249
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,991
    Distro
    Ubuntu Development Release

    Re: GNOME3 Staging PPA

    Quote Originally Posted by binary00mind View Post
    I'm also confused about this Smart vs Default upgrade (in this edition)...
    I made a few changes in my Synaptic's Preferences. One of them is:

    Settings ->> Preferences ->> General ->> Making Changes ->> System Upgrade ->> Select "Always Ask" ->> Apply/OK

    After that, when you Reload & Mark All Upgrades you will be given 2 choices for performing the upgrade:
    1. Default (which is basically the same as "sudo apt-get upgrade" in CLI)
    2. Smart Upgrade ( which is basically the same as "sudo apt-get dist-upgrade")


    Personally, I look at the changes (click Apply) on both Default Upgrade & Smart Upgrade, before committing to the changes.

    Most times, IMO, you are better off using the Default Upgrade, however, there are times when doing a Smart Upgrade is the better choice.

    I look specifically for what's going to be removed, and what's going to be held back.

    Sometimes... even many times... doing ANY upgrade (on a dev release) will appear to clean your clock.

    If things look too gnarly, you're better off waiting for a day or two before doing upgrades. That's what I did, in the case above. I just hung-out for about 12 hours, before attempting a Smart Upgrade, and everything turned out fine.


    Quote Originally Posted by binary00mind View Post
    Maybe wrong place to ask, what theme do you use and this monitor on the right...help me LOL. Is this from the ppa?
    Yeah, probably the wrong place, but briefly...

    I enjoy customizing the UI, e.g. theme et al. I've made too many changes to list them here.

    Best place for getting info on doing stuff like this is in the monthly desktop showcase thread. The mods/admins stickify it to the top of "The Community Cafe" sub-forum.

    The current thread is: http://ubuntuforums.org/showthread.php?t=2111300

    Current desktop screenie: http://vindsl.com/images/vindsl-desk...feb-2013-1.png

    The widgets, on the right-side, are a customization of an app called Conky. There is a link in my sig, if you're interested.

    Okay, back to our regular programming...
    Last edited by VinDSL; February 27th, 2013 at 06:56 PM. Reason: Addendum
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  10. #250
    Join Date
    Jul 2010
    Location
    Finland
    Beans
    2,455
    Distro
    Ubuntu

    Re: GNOME3 Staging PPA

    Quote Originally Posted by zika View Post
    ...
    As I wrote above, it seems that ricotz left dependency of totem and others still on libcogl11...
    To emphasize: this is not a big deal, just annoyance when other packages need dist-upgrade... (like liquorix etc. ...)
    New Totem is just being cooked for amd_64 as I write this in ppa:ricotz/staging so...
    Update₁: Resolved... Thank You Ricotz...
    Here are the dependencies of the Gnome3 Staging PPA's totem.
    So, totem depends on libcogl12.
    But if the new clutter-1.0 breaks libcogl11, you either have to remove libcogl11 or not to upgrade clutter-1.0.

    1) totem 3.6.3-0ubuntu3~raring1
    Depends: libatk1.0-0 (>= 1.12.4)
    libc6 (>= 2.4)
    libcairo2 (>= 1.10.0)
    libclutter-1.0-0 (>= 1.10.0)
    libclutter-gtk-1.0-0 (>= 1.0.2)
    libcogl12 (>= 1.7.4)
    libdbus-glib-1-2 (>= 0.88)
    libgdk-pixbuf2.0-0 (>= 2.22.0)
    libglib2.0-0 (>= 2.33.14)
    libgstreamer-plugins-base1.0-0 (>= 1.0.0)
    libgstreamer1.0-0 (>= 1.0.0)
    libgtk-3-0 (>= 3.5.12)
    libnautilus-extension1a (>= 1:2.91)
    libpango1.0-0 (>= 1.14.0)
    libtotem-plparser17 (>= 2.32.4-2)
    libtotem0 (>= 3.6.3-0ubuntu3~raring1)
    libtotem0 (<< 3.7)
    libx11-6
    python (>= 2.7.1-0ubuntu2)
    gstreamer1.0-clutter
    gstreamer1.0-plugins-base (>= 0.11.93)
    gstreamer1.0-plugins-good (>= 0.11.93)
    gstreamer1.0-x
    gnome-icon-theme (>= 2.15.90)
    gnome-icon-theme-symbolic
    totem-common (= 3.6.3-0ubuntu3~raring1)


    2) libtotem0 v. 3.6.3-0ubuntu3~raring1
    Depends: libatk1.0-0 (>= 1.12.4)
    libc6 (>= 2.14)
    libcairo2 (>= 1.10.0)
    libclutter-1.0-0 (>= 1.10.0)
    libclutter-gtk-1.0-0 (>= 1.0.2)
    libcogl12 (>= 1.7.4)
    libgdk-pixbuf2.0-0 (>= 2.22.0)
    libgirepository-1.0-1 (>= 0.9.2)
    libglib2.0-0 (>= 2.33.0)
    libgstreamer-plugins-base1.0-0 (>= 1.0.0)
    libgstreamer1.0-0 (>= 1.0.0)
    libgtk-3-0 (>= 3.5.2)
    libice6 (>= 1:1.0.0)
    libpango1.0-0 (>= 1.14.0)
    libpeas-1.0-0 (>= 1.0.0)
    libsm6
    libtotem-plparser17 (>= 2.32.4-2)
    libx11-6

    3) tottem-mozilla v. 3.6.3-0ubuntu3~raring1
    Depends: libc6 (>= 2.14)
    libgcc1 (>= 1:4.1.1)
    libglib2.0-0 (>= 2.33.0)
    libstdc++6 (>= 4.1.1)
    libtotem-plparser17 (>= 2.32.4-2)
    totem (= 3.6.3-0ubuntu3~raring1)
    dbus-x11 (>= 0.61)


    4) totem-plugins v. 3.6.3-0ubuntu3~raring1
    Depends: totem (= 3.6.3-0ubuntu3~raring1)
    libc6 (>= 2.7)
    libgdk-pixbuf2.0-0 (>= 2.22.0)
    libglib2.0-0 (>= 2.33.0)
    libgtk-3-0 (>= 3.5.2)
    liblircclient0
    libtotem0 (>= 3.6.3-0ubuntu3~raring1)
    libtotem0 (<< 3.7)
    libxml2 (>= 2.7.4)
    libzeitgeist-1.0-1 (>= 0.3.2)
    python (>= 2.7.1-0ubuntu2)
    python2.7
    gir1.2-totem-1.0 (= 3.6.3-0ubuntu3~raring1)
    gir1.2-gtk-3.0
    gir1.2-gdkpixbuf-2.0
    gir1.2-glib-2.0
    gir1.2-pango-1.0
    gir1.2-peas-1.0
    python-gi (>= 2.90.3)
    python-xdg
    python-httplib2

    5) gir1.2-totem-1.0 (= 3.6.3-0ubuntu3~raring1)
    Depends: gir1.2-atk-1.0
    gir1.2-freedesktop
    gir1.2-gdkpixbuf-2.0
    gir1.2-glib-2.0
    gir1.2-gtk-3.0
    gir1.2-pango-1.0
    gir1.2-totem-plparser-1.0
    libtotem0 (<< 3.7)
    libtotem0 (>= 3.6.3-0ubuntu3~raring1)
    Last edited by Harry33; February 27th, 2013 at 01:49 PM.

Page 25 of 60 FirstFirst ... 15232425262735 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •